Description

It should be useful to have the ability to customize fields which appear on ticket.

| explain. When the ticket comes from customers, and to make invoices, it is necessary to get additional informations on ticket.
When you create or modify the ticket, we could have two additional fields and a create button like this :

Name __ Value____ Create

This is very helpful to make statistical analysis and invoicing.

History

#1 - 2009-01-15 14:45 - Jens Berlips

Can't you use: Administration->Custom fields->Issues for this?

#2 - 2009-01-15 16:36 - Maxim Krusina

| had simillar idea, but with small difference: because we also need special fields it can be great, but in most cases there are different attribues for
different ticket types. My idea was to configure special "Forms", which is de-facto group of preconfigured attribues and unique name. SO you will have
special "custom" forms with names like "Invoice approval" or "Banner specification". If you create new ticket you just simply select add form and select
one from defined forms. This will save lot of time, because filends for same type of tickets will be still same.

We would like to use this for exaple for exact specification of banner, which is very often. Also this will help project managers to not forget something
importnant, because there will be all predefined fields visible.

What others think?
#3 - 2009-01-16 10:12 - Jerome Salles
Jens Berlips wrote:
Can't you use: Administration->Custom fields->Issues for this?
I'm new user of Redmine. I'd better to read doc before send my message. Actually the use of custom fields should be suffiscient to do my job.
The use of different Trackers will do the work of Ticket templates.

However i have some trouble to define a custom field which would be an hour container. The list choice allows to define a date but not an hour. An
idea about this ?

#4 - 2009-01-16 10:19 - Jerome Salles
| forgot a question : in custom fields, you can use the list type thats allow you to pre-determine values for the field. What about data importation : for

example, instead of statically choices, could we define an sql expression executed on a remote server ?

#5 - 2009-01-17 10:21 - Jean-Philippe Lang
- Category set to Custom fields
- Status changed from New to Closed

- Resolution set to Duplicate

It should be useful to have the ability to customize fields which appear on ticket.

You can make use of custom fields.
If you create new ticket you just simply select add form and select one from defined forms. This will save lot of time, because filends for same
type of tickets will be still same.

Maxim, you can create the custom fields, associate them with the appropriate trackers, check 'For all projects' and you're done.

What about data importation : for example, instead of statically choices, could we define an sql expression executed on a remote server ?

Have a look at #2180 and #2096.
https://www.redmine.org/issues/2180
https://www.redmine.org/issues/2096
http://www.tcpdf.org

